Bug 1421405 - visualboyadvance-m not replacing vbam-common properly
Summary: visualboyadvance-m not replacing vbam-common properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: visualboyadvance-m
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 02:20 UTC by bob53181
Modified: 2017-02-22 17:51 UTC (History)
1 user (show)

Fixed In Version: visualboyadvance-m-2.0.0-0.11.Beta3.fc25 visualboyadvance-m-2.0.0-0.11.Beta3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 17:23:31 UTC
Type: Bug


Attachments (Terms of Use)

Description bob53181 2017-02-12 02:20:52 UTC
Description of problem:

visualboyadvance-m is replacing vbam-gtk and visualboyadvance-m-sdl is replacing vbam-sdl but they are not replacing vbam-common. On upgrading dnf fails with a configuration file conflict. They need to either depend on a common package as before (as shown in this bugzilla entry - https://bugzilla.rpmfusion.org/show_bug.cgi?id=2101) or deal with the conflict in another way. I contacted Jeremy and he encouraged me to file this here and suggested he could fix this in the next update.


Version-Release number of selected component (if applicable): 
2.0.0-0.9.Beta3.fc25

How reproducible:
Every time

Steps to Reproduce:
1. Try to upgrade with dnf update
2.
3.

Actual results:
dnf fails

Expected results:
dnf succeeds

Additional info:

Comment 1 Jeremy Newton 2017-02-12 05:19:13 UTC
Thanks! I have a fix building. I'll make an update when done.

Comment 2 Fedora Update System 2017-02-12 06:33:42 UTC
visualboyadvance-m-2.0.0-0.11.Beta3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cc0882958

Comment 3 Fedora Update System 2017-02-12 06:33:48 UTC
visualboyadvance-m-2.0.0-0.11.Beta3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-754765f5e9

Comment 4 Fedora Update System 2017-02-13 23:49:27 UTC
visualboyadvance-m-2.0.0-0.11.Beta3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-754765f5e9

Comment 5 Fedora Update System 2017-02-14 00:53:16 UTC
visualboyadvance-m-2.0.0-0.11.Beta3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cc0882958

Comment 6 Fedora Update System 2017-02-22 17:23:31 UTC
visualboyadvance-m-2.0.0-0.11.Beta3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-02-22 17:51:08 UTC
visualboyadvance-m-2.0.0-0.11.Beta3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.